Summary:	Compat package with libical libraries
Name:		compat-libical2
Version:	2.0.0
Release:	3%{?dist}
License:	LGPLv2 or MPLv1.1
URL:		http://freeassociation.sourceforge.net/
Source:		https://github.com/libical/libical/archive/v%{version}/libical-%{version}.tar.gz
Patch0:		libical-2.0.0-arm.patch
Patch1:		libical-2.0.0-funcnamefix.patch
Patch2:		libical-2.0.0-rscale-use-after-free.patch

BuildRequires:	bison, byacc, flex
BuildRequires:	cmake
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	perl-interpreter

# Explicitly conflict with older libical packages that ship libraries
# with the same soname as this compat package
Conflicts: libical < 3.0.0

%description
Compatibility package with libical libraries ABI version 2.

%prep
%setup -q -n libical-%{version}
%patch0 -p1 -b .arm
%patch1 -p1 -b .funcnamefix
%patch2 -p1 -b .rscale-use-after-free

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} .. \
  -DUSE_INTEROPERABLE_VTIMEZONES:BOOL=true \
  -DICAL_ALLOW_EMPTY_PROPERTIES:BOOL=true \
  -DSHARED_ONLY:BOOL=true
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# Remove files that aren't needed for the compat package
rm -rf %{buildroot}%{_includedir}
rm -rf %{buildroot}%{_libdir}/*.so
rm -rf %{buildroot}%{_libdir}/cmake/
rm -rf %{buildroot}%{_libdir}/pkgconfig/

%check
make test ARGS="-V" -C %{_target_platform}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc LICENSE
%{_libdir}/libical.so.2*
%{_libdir}/libical_cxx.so.2*
%{_libdir}/libicalss.so.2*
%{_libdir}/libicalss_cxx.so.2*
%{_libdir}/libicalvcal.so.2*

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Nov 30 2017 Pete Walter <pwalter@fedoraproject.org> - 2.0.0-2
- Rebuild for ICU 60.1

* Mon Nov 13 2017 Pete Walter <pwalter@fedoraproject.org> - 2.0.0-1
- Initial packaging
